com.orsoncharts.axis

## Class Axis3DChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - com.orsoncharts.axis.Axis3DChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class Axis3DChangeEvent
      extends java.util.EventObject

  An event associated with a change to an `Axis3D`. These change events will be generated by an axis and broadcast to the plot that owns the axis (in the standard setup, the plot will then trigger its own change event to notify the chart that a subcomponent of the plot has changed).
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis3DChangeEvent(Axis3D axis, boolean requiresWorldUpdate)` Creates a new event.
    `Axis3DChangeEvent(java.lang.Object source, Axis3D axis, boolean requiresWorldUpdate)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Axis3D` | `getAxis()` Returns the axis associated with this event.
    `boolean` | `requiresWorldUpdate()` Returns the flag that indicates whether or not this change will require the 3D world to be updated.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Axis3DChangeEvent

          public Axis3DChangeEvent(Axis3D axis,
                                   boolean requiresWorldUpdate)

      Creates a new event.
      Parameters:
        `axis` - the axis (`null` not permitted).
        `requiresWorldUpdate` - a flag indicating whether or not this change requires the 3D world to be updated.

    - #### Axis3DChangeEvent

          public Axis3DChangeEvent(java.lang.Object source,
                                   Axis3D axis,
                                   boolean requiresWorldUpdate)

      Creates a new event.
      Parameters:
        `source` - the event source.
        `axis` - the axis (`null` not permitted).
        `requiresWorldUpdate` - a flag indicating whether or not this change requires the 3D world to be updated.

  - ### Method Detail

    - #### getAxis

          public Axis3D getAxis()

      Returns the axis associated with this event.
      Returns:
        The axis (never `null`).

    - #### requiresWorldUpdate

          public boolean requiresWorldUpdate()

      Returns the flag that indicates whether or not this change will require the 3D world to be updated.
      Returns:
        A boolean.
      Since:
        1.2